Subject: Re: [PATCH 00/33] Network Devices Ops (v0.3)

From: Eric Dumazet <[email-masked]>
Date: Thu, 20 Nov 2008 06:21:29 +0100

Stephen Hemminger a écrit :
> On Wed, 19 Nov 2008 17:33:53 -0800 (PST)
> David Miller <[email-masked]> wrote:
> 
>> From: Stephen Hemminger <[email-masked]>
>> Date: Mon, 17 Nov 2008 15:42:07 -0800
>>
>>> This sequence of patches breaks the network device adminstration 
>>> function table away from the network device data structure. It is
>>> a transitional API change (both keep working), and this set of patches
>>> hits a range of commonly used drivers. This should be enough to make sure
>>> both old and new interfaces get used and tested.
>> I'm starting to apply these patches, thanks Stephen.
>>
>> I really think we should move even fast-path function pointers
>> here.  When we have tons of virtual devices configured, it
>> doesn't make sense for us to touch tons of ->hard_start_xmit
>> pointer values which all evaluate to the same thing.
>>
>> ops are ops
> 
> I have some more pending. I'll add neigh_setup and xmit stuff.

So if you plan to release a new release of Network Device Ops...

I would have one suggestion about these ops, that would be to prefix
method names (open, close, ...) by a ndo_ or something that ease greping...

Thanks